TwexAPI REST API 레퍼런스
TwexAPI는 https://api.twexapi.io에서 X/Twitter 데이터 조회, 고급 트윗 검색, 프로필 및 팔로워 내보내기, 트윗 작성 및 인터랙션, DM 송수신, X 아티클 처리 및 AI Agent 연동을 위한 표준 REST API를 제공합니다.
주요 핵심 기능:
- 고급 트윗 검색 (Search) — 키워드, 해시태그, 캐시태그 및 시간대별 상세 검색
- 트윗 및 인게이지먼트 (Tweets) — 전체 스레드 조회, 트윗 상세 정보, 답글 목록, 좋아요/리트윗 사용자 추출
- 사용자 및 소셜 그래프 (Users) — 프로필 조회, 다중 사용자 일괄 조회, 커서 기반 대규모 팔로워/팔로잉 내보내기
- 작성 및 인터랙션 액션 (Tweet Actions) — 트윗 작성, 답글, 스레드 일괄 발행, 좋아요, 리트윗, 북마크, 팔로우
- 쪽지 관리 (DM) — 1 쪽지 전송, 권한 확인, 대화 목록 및 채팅 히스토리 조회
- 글로벌 트렌드 (Trending) — 국가 및 지역별 실시간 트렌드 트윗 및 화제 토픽
- X 아티클 (Articles) — X 장문 아티클을 깔끔한 Markdown으로 추출 (LLM RAG 파이프라인에 최적), 초안 작성 및 즉시 발행
모든 엔드포인트는 통일된 응답 구조(code: 200, msg: "success", data)를 반환합니다. 자세한 내용은 에러 처리 가이드를 참조하세요.
인증 (Authentication)
모든 API 요청 헤더에 API 키를 포함해야 합니다:
Authorization: Bearer YOUR_API_KEY
작성 및 인터랙션 액션에는 Twitter 쿠키 또는 auth_token이 추가로 필요합니다. 자세한 내용은 인증 가이드를 참조하세요.
Version 1.0.0
Base URL
https://api.twexapi.ioCookie Endpoints
- GETauth_token으로 쿠키 조회
/twitter/{auth_token}/cookie - GETauth_token으로 사용자 정보 조회
/twitter/{auth_token}/user_info
Search Endpoints
- POST커서 기반 페이징 고급 검색
/twitter/advanced_search/page - POST캐시태그 종목 검색
/twitter/cashtags - POST해시태그 주제 검색
/twitter/hashtags
Tweet Actions Endpoints
- POST트윗 좋아요
/twitter/tweets/{tweet_id}/like - DELETE트윗 좋아요 취소
/twitter/tweets/{tweet_id}/like - POST트윗 리트윗
/twitter/tweets/{tweet_id}/retweet - DELETEDelete Retweet
/twitter/tweets/{tweet_id}/retweet - POSTCreate a Tweet Thread
/v3/twitter/tweets/create-thread - POSTCreate a Tweet or Reply
/twitter/tweets/create - POSTCreate a Quote Tweet
/twitter/tweets/quote - POSTBookmark a Tweet
/twitter/tweets/{tweet_id}/bookmark - DELETE북마크 삭제
/twitter/tweets/{tweet_id}/bookmark - POST트윗 일괄 삭제
/twitter/tweets/delete-batch
Users Endpoints
- POST다중 사용자 프로필 일괄 조회
/twitter/users - POST사용자 차단
/twitter/user/block - DELETE차단 해제
/twitter/user/block - POST사용자 ID 기준 프로필 조회
/twitter/users/by_ids - POST계정 유효성 검증
/x/account/verify - POST사용자 계정 상태 일괄 검사
/twitter/users/status - GET트위터 사용자 검색
/twitter/search-user/{keyword}/{target_count} - POSTFollow User
/twitter/user/follow - DELETE언팔로우
/twitter/user/follow
Followers & Following Endpoints
- GET지정 수량 팔로워 조회
/twitter/followers/{screen_name}/{count} - GETGet Followers Task Status
/twitter/followers/task/{task_id}/status - GETConsume Next Page of Followers Task
/twitter/followers/task/{task_id}/next - POST페이징 기반 팔로워 조회
/twitter/followers/page - POST페이징 기반 팔로잉 조회
/twitter/following/page - GET지정 수량 팔로잉 조회
/twitter/following/{screen_name}/{count} - GETGet Following Task Status
/twitter/following/task/{task_id}/status - GETConsume Next Page of Following Task
/twitter/following/task/{task_id}/next - POSTGet Following (v3)
/v3/twitter/users/following - POSTGet Followers (v3)
/v3/twitter/users/followers - POST인증(블루) 팔로워 조회
/v3/twitter/users/verified-followers
Tweet Replies Endpoints
- POST댓글 답글 목록 페이징 조회
/twitter/tweets/{tweet_id}/replies/page - GET트윗 답글 조회 (구버전)
/twitter/tweets/{tweet_id}/replies/{count}
DM Endpoints
- POSTDM 수신 권한 확인
/v2/dm/status - POST쪽지 전송 (XChat v3)
/v3/twitter/send-dm - POSTDM 대화 내역 조회 (XChat v3)
/v3/twitter/dm-history - POSTDM 미디어 파일 조회
/v3/twitter/dm-media - POSTDM 대화 목록 조회
/v3/twitter/conversations
Article Endpoints
- POSTX 아티클 일괄 조회
/x/article - GETX 아티클을 Markdown으로 추출
/x/article/{tweet_id}/markdown - POST아티클 초안 작성
/x/articles/draft - PUT[Step 2/5] Upload and set article cover image (optional)
/x/articles/{article_id}/cover - PUT[Step 3/5] Set article title
/x/articles/{article_id}/title - PUT[Step 4/5] Set article content from Markdown
/x/articles/{article_id}/content - POST[Step 5/5] Publish an article draft
/x/articles/{article_id}/publish - POST[Quick] One-step article publish
/x/articles/publish
Tweets Endpoints
- POST트윗 상세 정보 조회 (v2)
/v2/tweet/detail - POSTGet Tweet Thread by ID
/twitter/tweets/thread_by_id - POST트윗 ID 일괄 조회
/twitter/tweets/lookup - GET유사 트윗 추천 조회
/twitter/tweets/{tweet_id}/similar
Grok Endpoints
- POSTGrok AI에 질문하기
/v3/twitter/grok/ask - POSTGrok 대화 기록 조회
/v3/twitter/grok/history - POSTGrok 대화 내용 조회
/v3/twitter/grok/conversation
Tweet Engagement Endpoints
- POST리트윗한 사용자 페이징 조회
/twitter/tweets/retweeters/page - POST좋아요 누른 사용자 목록 조회
/twitter/tweets-favoriters - POSTGet Quote Tweets by Page
/twitter/tweets/quotes/page
Lists Endpoints
- POST트위터 리스트 생성
/twitter/list/create - POST리스트 트윗 페이징 조회
/twitter/list/tweets/page - GET리스트 구독자 조회
/twitter/list/{list_id}/subscribers/{target_count} - POST리스트 멤버 페이징 조회
/twitter/list/members/page - POST트위터 리스트 검색
/twitter/list/search
Communities Endpoints
- POST커뮤니티 멤버 페이징 조회
/twitter/community/members/page - POST커뮤니티 트윗 페이징 조회
/twitter/community/tweets/page - POST트위터 커뮤니티 검색
/twitter/community/search - GETGet Community
/twitter/community/{community_id} - POST커뮤니티 내 트윗 검색
/twitter/community/search-tweets
Twitter Profile Actions Endpoints
Trending Endpoints
- GET트렌드 지원 국가 목록
/twitter/global-trending/countries - GET트렌드 토픽 목록
/twitter/global-trending/topics - GET트렌드 콘텐츠 태그 목록
/twitter/global-trending/contents - GET글로벌 트렌드 트윗 조회
/twitter/global-trending/tweets - GETGet Trending Topics
/twitter/{country}/trending